<?php


return  
    [
        'model' => [
            'model' => \MediaTranscription\MediaTranscription\Models\Transcription::class,
            'repository' => \MediaTranscription\MediaTranscription\Repositories\Eloquent\TranscriptionRepository::class,
            'table' => 'transcriptions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'media_file_id',  'confidence',  'words',  'text',  'segments',  'created_at',  'modified_at',  ')',  '),',  'id),'],
            'translatables' => [],
            'upload_folder' => 'media_transcription/transcription',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "media_file_id" => [
                "key" => "media_file_id", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.media_file_id', 
                'sort' => true,
                'roles' => [],
            ],
            "confidence" => [
                "key" => "confidence", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.confidence', 
                'sort' => true,
                'roles' => [],
            ],
            "segments" => [
                "key" => "segments", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.segments', 
                'sort' => true,
                'roles' => [],
            ],
            "modified_at" => [
                "key" => "modified_at", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.modified_at', 
                'sort' => true,
                'roles' => [],
            ],
            ")" => [
                "key" => ")", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.)', 
                'sort' => true,
                'roles' => [],
            ],
            ")," => [
                "key" => "),", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.),', 
                'sort' => true,
                'roles' => [],
            ],
            "id)," => [
                "key" => "id),", 
                "type" => "text", 
                "label" => 'media_transcription::transcription.label.id),', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'media_file_id' => [
                "element" => 'package::package.formcontrols.INT',
                "type" => 'package::package.formcontrols.INT',
                "label" => 'media_transcription::transcription.label.media_file_id',
                "placeholder" => 'media_transcription::transcription.placeholder.media_file_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'confidence' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'media_transcription::transcription.label.confidence',
                "placeholder" => 'media_transcription::transcription.placeholder.confidence',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'words' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'media_transcription::transcription.label.words',
                "placeholder" => 'media_transcription::transcription.placeholder.words',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'text' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'media_transcription::transcription.label.text',
                "placeholder" => 'media_transcription::transcription.placeholder.text',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'segments' => [
                "element" => 'package::package.formcontrols.LONGTEXT',
                "type" => 'package::package.formcontrols.LONGTEXT',
                "label" => 'media_transcription::transcription.label.segments',
                "placeholder" => 'media_transcription::transcription.placeholder.segments',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'media_transcription::transcription.label.modified_at',
                "placeholder" => 'media_transcription::transcription.placeholder.modified_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => 'media_transcription::transcription.label.)',
                "placeholder" => 'media_transcription::transcription.placeholder.)',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            '),' => [
                "element" => 'package::package.formcontrols.Primary',
                "type" => 'package::package.formcontrols.Primary',
                "label" => 'media_transcription::transcription.label.),',
                "placeholder" => 'media_transcription::transcription.placeholder.),',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => 'media_transcription::transcription.label.id),',
                "placeholder" => 'media_transcription::transcription.placeholder.id),',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'media_transcription/transcription/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'media_transcription/transcription/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'media_transcription/transcription',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'media_transcription/transcription',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'media_transcription/transcription',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'media_transcription/transcription',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'media_transcription::transcription.label.created_at',
            'name' => 'media_transcription::transcription.label.name',
            'status' => 'media_transcription::transcription.label.status',
        ],
        'groups' => [
            'main' => 'media_transcription::transcription.groups.main',
            'details' => 'media_transcription::transcription.groups.details',
            'images' => 'media_transcription::transcription.groups.images',
            'settings' => 'media_transcription::transcription.groups.settings',
        ],
        'controller' => [
            'provider' => 'MediaTranscription',
            'package' => 'MediaTranscription',
            'module' => 'Transcription',
        ],
    ];
