<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTranscriptionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: transcriptions
         */
        Schema::create('transcriptions', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.INT('media_file_id')->nullable();
            $table->float('confidence')->nullable();
            $table->longText('words')->nullable();
            $table->longText('text')->nullable();
            $table->package::package.fieldtype.LONGTEXT('segments')->nullable();
            $table->timestamp('modified_at')->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->package::package.fieldtype.Primary('),')->nullable();
            $table->package::package.fieldtype.INDEX('id),')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('transcriptions');
    }
}
